For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Virtual Account

Create Virtual Account

Create new Virtual Account

post
/v0/customers/{customer_id}/virtual-account

Creates Virtual Account and returns deposit information

Authorizations
Api-KeystringRequired
Path parameters
customer_idstringRequired

The unique identifier of the customer

Body
source_currencystring · enumRequired

The currency for the source

Possible values:
source_railsstring · enumOptional

Required only for USD in case you want to accept SWIFT payments

Possible values:
destination_tokenstring · enumOptional

The currency to be deposited

Possible values:
destination_networkstring · enumRequired

The blockchain network for the destination

Possible values:
destination_addressstringOptional

The blockchain address where the funds will be sent

developer_fee_percentstringOptional

Custom developer fee percentage for the Virtual Account

Example: 0.5Pattern: ^[0-9]+(\.[0-9]+)?$
Responses
201

Successful offramp transfer initiation response (synchronous)

application/json
idstring · uuidOptional

The unique identifier for the virtual account

statusstring · enumOptional

The current status of the virtual account

Possible values:
destination_tokenstring · enumOptional

The currency to be deposited

Possible values:
destination_networkstring · enumOptional

The blockchain network for the destination

Possible values:
destination_addressstringOptional

The blockchain address where the funds will be sent

developer_fee_percentstringOptional

Custom developer fee percentage for the Virtual Account

Example: 0.5Pattern: ^[0-9]+(\.[0-9]+)?$
deposit_instructionsone ofOptional
or
or
post/v0/customers/{customer_id}/virtual-account
POST /v0/customers/{customer_id}/virtual-account HTTP/1.1
Host: api.alignlabs.dev
Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "source_currency": "usd",
  "source_rails": "swift",
  "destination_token": "usdc",
  "destination_network": "polygon",
  "destination_address": "text",
  "developer_fee_percent": "0.5"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "active",
  "destination_token": "usdc",
  "destination_network": "polygon",
  "destination_address": "text",
  "developer_fee_percent": "0.5",
  "deposit_instructions": {
    "payment_rails": [
      "sepa"
    ],
    "currency": "eur",
    "bank_name": "text",
    "bank_address": "text",
    "account_holder_name": "text",
    "iban": {
      "bic": "text",
      "iban_number": "text"
    }
  }
}

Last updated